package entity

import (
	"time"

	"github.com/google/uuid"
)

type OurProductContent struct {
	ID             uuid.UUID `json:"id" gorm:"primaryKey;type:uuid"`
	PrimaryTitle   string    `json:"primary_title" gorm:"type:varchar(255)"`
	SecondaryTitle string    `json:"secondary_title" gorm:"type:varchar(255)"`
	Description    string    `json:"description" gorm:"type:text"`
	CreatedAt      time.Time `json:"created_at"`
	UpdatedAt      time.Time `json:"updated_at"`
	IsActive          *bool     `json:"is_active" gorm:"default:true"`

	Images []OurProductContentImage `json:"images" gorm:"foreignKey:OurProductContentID"`
}

func (OurProductContent) TableName() string {
	return "our_product_contents"
}